Skip to main content
Generates additional coupon codes, on demand. Available when the coupon campaign is already active.
  • Incremental coupons are only available after the campaign’s original coupons were fully generated and relevant for active coupon campaigns.
  • In order to generate incremental coupon codes, on_demand_codes_allowed campaign attribute must be enabled (1) in the Campaign object.
  • The response to the call provides a list of the coupon codes for use and redemption by the customers. You may choose to add an additional security step that requires activation of the codes prior to redemption. See coupon_code_requires_activation in the Campaign object.
  • The maximal number of codes per generation attempt is 3,000.

HTTP Request

POST /campaigns/:campaign/actions/generate_incremental_codes

Route (URL) Parameters

Query Parameters

Accepts

None.

Returns

JSON - A list array with a data property that contains an array of up to limit campaign codes. Each entry in the array is a full campaign code object. Also:
  • total_count: Integer count of the number of Campaign Codes in the returned list.

Example Request

Example Response

The above command returns JSON structured like this:
Parent topic:Campaigns